Class EndpointItemRequestBuilder
java.lang.Object
com.microsoft.kiota.BaseRequestBuilder
com.microsoft.graph.serviceprincipals.item.endpoints.item.EndpointItemRequestBuilder
@Generated("com.microsoft.kiota")
public class EndpointItemRequestBuilder
extends com.microsoft.kiota.BaseRequestBuilder
Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionclassConfiguration for the request such as headers, query parameters, and middleware options.classGet endpoints from servicePrincipalsclassConfiguration for the request such as headers, query parameters, and middleware options.classConfiguration for the request such as headers, query parameters, and middleware options. -
Field Summary
Fields inherited from class com.microsoft.kiota.BaseRequestBuilder
pathParameters, requestAdapter, urlTemplate -
Constructor Summary
ConstructorsConstructorDescriptionEndpointItemRequestBuilder(String rawUrl, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointItemRequestBuilderand sets the default values.EndpointItemRequestBuilder(HashMap<String, Object> pathParameters, com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointItemRequestBuilderand sets the default values. -
Method Summary
Modifier and TypeMethodDescriptionvoiddelete()Delete navigation property endpoints for servicePrincipalsvoiddelete(Consumer<EndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for servicePrincipalsget()Get endpoints from servicePrincipalsget(Consumer<EndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipalsUpdate the navigation property endpoints in servicePrincipalspatch(Endpoint body, Consumer<EndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in servicePrincipalscom.microsoft.kiota.RequestInformationDelete navigation property endpoints for servicePrincipalscom.microsoft.kiota.RequestInformationtoDeleteRequestInformation(Consumer<EndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for servicePrincipalscom.microsoft.kiota.RequestInformationGet endpoints from servicePrincipalscom.microsoft.kiota.RequestInformationtoGetRequestInformation(Consumer<EndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipalscom.microsoft.kiota.RequestInformationUpdate the navigation property endpoints in servicePrincipalscom.microsoft.kiota.RequestInformationtoPatchRequestInformation(Endpoint body, Consumer<EndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in servicePrincipalsReturns a request builder with the provided arbitrary URL.
-
Constructor Details
-
EndpointItemRequestBuilder
public EndpointItemRequestBuilder(@Nonnull HashMap<String, Object> pathParameters, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointItemRequestBuilderand sets the default values.- Parameters:
pathParameters- Path parameters for the requestrequestAdapter- The request adapter to use to execute the requests.
-
EndpointItemRequestBuilder
public EndpointItemRequestBuilder(@Nonnull String rawUrl, @Nonnull com.microsoft.kiota.RequestAdapter requestAdapter) Instantiates a newEndpointItemRequestBuilderand sets the default values.- Parameters:
rawUrl- The raw URL to use for the request builder.requestAdapter- The request adapter to use to execute the requests.
-
-
Method Details
-
delete
public void delete()Delete navigation property endpoints for servicePrincipals- Throws:
ODataError- When receiving a 4XX or 5XX status code
-
delete
public void delete(@Nullable Consumer<EndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for servicePrincipals- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Throws:
ODataError- When receiving a 4XX or 5XX status code
-
get
Get endpoints from servicePrincipals- Returns:
- a
Endpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
get
@Nullable public Endpoint get(@Nullable Consumer<EndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipals- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
Endpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
patch
Update the navigation property endpoints in servicePrincipals- Parameters:
body- The request body- Returns:
- a
Endpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
patch
@Nullable public Endpoint patch(@Nonnull Endpoint body, @Nullable Consumer<EndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in servicePrincipals- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
Endpoint - Throws:
ODataError- When receiving a 4XX or 5XX status code
-
toDeleteRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toDeleteRequestInformation()Delete navigation property endpoints for servicePrincipals- Returns:
- a
RequestInformation
-
toDeleteRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toDeleteRequestInformation(@Nullable Consumer<EndpointItemRequestBuilder.DeleteRequestConfiguration> requestConfiguration) Delete navigation property endpoints for servicePrincipals- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation()Get endpoints from servicePrincipals- Returns:
- a
RequestInformation
-
toGetRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toGetRequestInformation(@Nullable Consumer<EndpointItemRequestBuilder.GetRequestConfiguration> requestConfiguration) Get endpoints from servicePrincipals- Parameters:
requestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
toPatchRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPatchRequestInformation(@Nonnull Endpoint body) Update the navigation property endpoints in servicePrincipals- Parameters:
body- The request body- Returns:
- a
RequestInformation
-
toPatchRequestInformation
@Nonnull public com.microsoft.kiota.RequestInformation toPatchRequestInformation(@Nonnull Endpoint body, @Nullable Consumer<EndpointItemRequestBuilder.PatchRequestConfiguration> requestConfiguration) Update the navigation property endpoints in servicePrincipals- Parameters:
body- The request bodyrequestConfiguration- Configuration for the request such as headers, query parameters, and middleware options.- Returns:
- a
RequestInformation
-
withUrl
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.- Parameters:
rawUrl- The raw URL to use for the request builder.- Returns:
- a
EndpointItemRequestBuilder
-